Search Results for

Show / Hide Table of Contents

# Class TextDirection

Text direction enumeration, controls how text is displayed.

##### Inheritance

System.Object
TextDirection

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class TextDirection : Enum

### Fields

#### BottomTop_LeftRight

This is a vertical direction.

    O D
    L L
    L R
    E O
    H W

##### Declaration

    public const TextDirection BottomTop_LeftRight

##### Field Value

Type | Description
--- | ---
TextDirection |

#### BottomTop_RightLeft

This is a vertical direction.

    D O
    L L
    R L
    O E
    W H

##### Declaration

    public const TextDirection BottomTop_RightLeft

##### Field Value

Type | Description
--- | ---
TextDirection |

#### LeftRight_BottomTop

This is a horizontal direction.

    WORLD
    HELLO

##### Declaration

    public const TextDirection LeftRight_BottomTop

##### Field Value

Type | Description
--- | ---
TextDirection |

#### LeftRight_TopBottom

Normal horizontal direction.

    HELLO
    WORLD

##### Declaration

    public const TextDirection LeftRight_TopBottom

##### Field Value

Type | Description
--- | ---
TextDirection |

#### RightLeft_BottomTop

This is a horizontal direction.

    DLROW
    OLLEH

##### Declaration

    public const TextDirection RightLeft_BottomTop

##### Field Value

Type | Description
--- | ---
TextDirection |

#### RightLeft_TopBottom

This is a horizontal direction.
RTL

    OLLEH
    DLROW

##### Declaration

    public const TextDirection RightLeft_TopBottom

##### Field Value

Type | Description
--- | ---
TextDirection |

#### TopBottom_LeftRight

Normal vertical direction.

    H W
    E O
    L R
    L L
    O D

##### Declaration

    public const TextDirection TopBottom_LeftRight

##### Field Value

Type | Description
--- | ---
TextDirection |

#### TopBottom_RightLeft

This is a vertical direction.

    W H
    O E
    R L
    L L
    D O

##### Declaration

    public const TextDirection TopBottom_RightLeft

##### Field Value

Type | Description
--- | ---
TextDirection |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |